
%define libname	%mklibname %{name} %{libmajor}
%define libmajor 42

Summary:	GPL Electronic Design Automation Project
Name:		geda
Version:	1.8.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Engineering
Url:		http://www.gpleda.org/
Source:		ftp://ftp.geda-project.org/geda-gaf/stable/v1.8/1.8.1/%name-gaf-%version.tar.xz
Patch0:		geda-gaf-1.8.1-linkage.patch
Patch1:		geda-gaf-1.8.1-desktop.patch
#-------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}guile-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}stroke-devel
#-------------------------------------------

%description
The GPL Electronic Design Automation (gEDA) project has produced and
continues working on a full GPL'd suite and toolkit of Electronic
Design Automation tools. These tools are used for electrical circuit
design, schematic capture, simulation, prototyping, and
production. Currently, the gEDA project offers a mature suite of free
software applications for electronics design, including schematic
capture, attribute management, bill of materials (BOM) generation,
net-lists into over 20 netlist formats, analog and digital
simulation, and printed circuit board (PCB) layout.

%files
%defattr(-, root, root)
%dir %{_datadir}/gEDA
%{_datadir}/gEDA/prolog.ps
%dir %{_datadir}/gEDA/scheme/
%{_datadir}/gEDA/scheme/geda.scm
%{_datadir}/gEDA/scheme/color-map.scm
%{_datadir}/gEDA/system-gafrc
%{_datadir}/gEDA/print-colormap-*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/*

%{_libdir}/*.so.%{libmajor}
%{_libdir}/*.so.%{libmajor}.*

%{_datadir}/gEDA/sym
%{_datadir}/gEDA/gafrc.d
%{_datadir}/doc/geda-gaf/nc.pdf

%{_bindir}/gattrib
%{_datadir}/gEDA/system-gattribrc
%{_datadir}/gEDA/gattrib-menus.xml
%{_datadir}/doc/geda-gaf/man/gattrib.html
%{_mandir}/man1/gattrib.1.*
%{_datadir}/applications/geda-gattrib.desktop
%{_iconsdir}/hicolor/*/apps/geda-gattrib.*

%{_bindir}/gschem
%{_mandir}/man1/gschem.*
%{_datadir}/gEDA/bitmap/
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-*
%{_datadir}/gEDA/scheme/auto-place-attribs.scm
%{_datadir}/gEDA/scheme/auto-uref.scm
%{_datadir}/gEDA/scheme/default-attrib-positions.scm 
%{_datadir}/gEDA/scheme/generate_netlist.scm
%{_datadir}/gEDA/scheme/gschem.scm
%{_datadir}/gEDA/scheme/image.scm
%{_datadir}/gEDA/scheme/list-keys.scm
%{_datadir}/gEDA/scheme/pcb.scm
%{_datadir}/gEDA/scheme/print.scm
%{_datadir}/gEDA/scheme/print-NB-attribs.scm
%{_datadir}/gEDA/scheme/geda/attrib.scm
%{_datadir}/gEDA/scheme/geda/core/gettext.scm
%{_datadir}/gEDA/scheme/geda/deprecated.scm
%{_datadir}/gEDA/scheme/geda/object.scm
%{_datadir}/gEDA/scheme/geda/os.scm
%{_datadir}/gEDA/scheme/geda/page.scm
%{_datadir}/gEDA/scheme/gschem/attrib.scm
%{_datadir}/gEDA/scheme/gschem/core/gettext.scm
%{_datadir}/gEDA/scheme/gschem/deprecated.scm
%{_datadir}/gEDA/scheme/gschem/gschemdoc.scm
%{_datadir}/gEDA/scheme/gschem/hook.scm
%{_datadir}/gEDA/scheme/gschem/keymap.scm
%{_datadir}/gEDA/scheme/gschem/selection.scm
%{_datadir}/gEDA/scheme/gschem/util.scm
%{_datadir}/gEDA/scheme/gschem/window.scm
%{_datadir}/gEDA/scheme/partslist-common.scm
%{_datadir}/doc/geda-gaf/man/gschem.html
%{_datadir}/applications/geda-gschem.desktop
%{_iconsdir}/hicolor/*/apps/geda-gschem.*

%{_bindir}/gsymcheck
%{_datadir}/gEDA/system-gsymcheckrc
%{_datadir}/doc/geda-gaf/man/gsymcheck.html
%{_mandir}/man1/gsymcheck.*

%{_bindir}/gmk_sym
%{_bindir}/smash_megafile
%{_bindir}/convert_sym
%{_bindir}/sarlacc_schem
%{_bindir}/sarlacc_sym
%{_bindir}/gschlas
%{_bindir}/olib
%{_bindir}/refdes_renum
%{_bindir}/gsch2pcb
%{_bindir}/pads_backannotate
%{_bindir}/tragesym
%{_bindir}/garchive
%{_bindir}/grenum
%{_bindir}/gsymfix
%{_bindir}/schdiff
%{_bindir}/pcb_backannotate
%{_bindir}/gxyrs
%{_datadir}/gEDA/perl/
%{_datadir}/gEDA/system-gschlasrc
%{_datadir}/doc/geda-gaf/man/grenum.html
%{_datadir}/doc/geda-gaf/man/convert_sym.html
%{_datadir}/doc/geda-gaf/man/garchive.html
%{_datadir}/doc/geda-gaf/man/gmk_sym.html
%{_datadir}/doc/geda-gaf/man/gsch2pcb.html
%{_datadir}/doc/geda-gaf/man/gschlas.html
%{_datadir}/doc/geda-gaf/man/gsymfix.html
%{_datadir}/doc/geda-gaf/man/gxyrs.html
%{_datadir}/doc/geda-gaf/man/olib.html
%{_datadir}/doc/geda-gaf/man/pads_backannotate.html
%{_datadir}/doc/geda-gaf/man/pcb_backannotate.html
%{_datadir}/doc/geda-gaf/man/refdes_renum.html
%{_datadir}/doc/geda-gaf/man/sarlacc_schem.html
%{_datadir}/doc/geda-gaf/man/sarlacc_sym.html
%{_datadir}/doc/geda-gaf/man/schdiff.html
%{_datadir}/doc/geda-gaf/man/smash_megafile.html
%{_datadir}/doc/geda-gaf/man/tragesym.html
%{_mandir}/man1/convert_sym.1.*
%{_mandir}/man1/garchive.1.*
%{_mandir}/man1/gmk_sym.1.*
%{_mandir}/man1/gsch2pcb.1.*
%{_mandir}/man1/gschlas.1.*
%{_mandir}/man1/gsymfix.1.*
%{_mandir}/man1/gxyrs.1.*
%{_mandir}/man1/olib.1.*
%{_mandir}/man1/pads_backannotate.1.*
%{_mandir}/man1/pcb_backannotate.1.*
%{_mandir}/man1/refdes_renum.1.*
%{_mandir}/man1/sarlacc_schem.1.*
%{_mandir}/man1/sarlacc_sym.1.*
%{_mandir}/man1/schdiff.1.*
%{_mandir}/man1/smash_megafile.1.*
%{_mandir}/man1/tragesym.1.*
%{_datadir}/doc/geda-gaf/readmes
%{_mandir}/man1/grenum.1*

%{_bindir}/gnetlist
%{_bindir}/sw2asc
%{_mandir}/man1/gnetlist.*
%{_datadir}/gEDA/system-gnetlistrc
%{_datadir}/gEDA/scheme/gnet*.scm
%{_datadir}/gEDA/scheme/gnetlist/backend-getopt.scm
%{_datadir}/doc/geda-gaf/man/sw2asc.html
%{_datadir}/doc/geda-gaf/man/gnetlist.html
%{_mandir}/man1/sw2asc.1.*

%{_datadir}/doc/geda-gaf/examples
%{_datadir}/locale

#--------------------------------------------------------------------------
%package docs
Summary:	Doc for the gEDA project
Group:		Documentation

%description docs
This package provides documentation for the gEDA project.

%files docs
%defattr(-, root, root)
%{_datadir}/doc/geda-gaf/wiki
%{_datadir}/doc/geda-gaf/gedadocs.html
%{_datadir}/info/geda-scheme.info.*

#--------------------------------------------------------------------------

%prep
%setup -qn geda-gaf-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-update-xdg-database \
	--disable-static \
	--disable-rpath
%make

%install
%__rm -rf %buildroot
%makeinstall_std

rm -rf %buildroot%{_libdir}/libgeda.so
rm -rf %buildroot%{_libdir}/libgeda.la
rm -rf %buildroot%{_libdir}/pkgconfig/*.pc
rm -rf %buildroot%{_includedir}/libgeda

%clean
%__rm -rf %buildroot

%changelog
* Tue Jan 28 2014 bb <bb> 1.8.2-1pclos2014
- update

* Mon Jul 15 2013 billybot <billybot> 1.8.1-1pclos2013
- create package
